TallyMobTable = {};

-- Nicked in full from MobInfo 2
function Tally.LootName2Copper(item)
	local i = 0
	local g,s,c = 0
	local money = 0
	  
	i = string.find(item, MI_TXT_GOLD )
	if i then
		g = tonumber( string.sub(item,0,i-1) )
		item = string.sub(item,i+5,string.len(item))
		money = money + ((g or 0) * COPPER_PER_GOLD)
	end
	i = string.find(item, MI_TXT_SILVER )
	if i then
		s = tonumber( string.sub(item,0,i-1) )
		item = string.sub(item,i+7,string.len(item))
		money = money + ((s or 0) * COPPER_PER_SILVER)
	end
	i = string.find(item, MI_TXT_COPPER )
	if i then
		c = tonumber( string.sub(item,0,i-1) )
		money = money + (c or 0)
	end

	return money
end
	
--- Stores whatever data it can pull from the unitID to the database
function Tally.storeData(unitID)
  -- TODO: Is there a way of passing in a guid rather than a unit ID?
  local guid = UnitGUID(unitID)

  local npcId, objectType = Tally.ParseGUID(guid)

  -- We're only interested in NPCs that we've not seen before
  if ((objectType ~= "NPC") or (TallyMobTable[npcId] ~= nil)) then
    return
  end

  -- If we get here, we have a previously-unknown kind of NPC
  local npc = {}
  npc["name"] = UnitName(unitID)
  npc["class"] = UnitClassBase(unitID)
  npc["classification"] = UnitClassification(unitID)
  npc["family"] = UnitCreatureFamily(unitID)
  npc["type"] = UnitCreatureType(unitID)
  npc["race"] = UnitRace(unitID)
  npc["sex"] = UnitSex(unitID)
  npc["healthMax"] = UnitHealthMax(unitID)
 
  local powerType
  local powerName
  powerType, powerName = UnitPowerType(unitID)
  npc["power"] = ("%d:%s"):format(UnitPowerMax(unitID), powerName)
  
  TallyMobTable[npcId] = npc
end
